%define mono_dir %{_prefix}/lib/mono

Summary:	Mono Addins Framework
Summary(ja):	Mono で拡張可能なアプリケーションを作成するたの汎用フレームワーク
Name:		mono-addins
Version:	1.2
Release:	1%{?_dist_release}

Group: 		Development/Tools
License: 	MIT
URL:		http://www.go-mono.com
Source0: 	https://github.com/mono/mono-addins/archive/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  autoconf automake libtool
BuildRequires: 	gtk-sharp2-devel
BuildRequires: 	mono-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
Mono.Addins is a generic framework for creating extensible applications,
and for creating libraries which extend those applications.


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
./autogen.sh

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
./configure --prefix=%{_prefix}
make


%install
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig
mv $RPM_BUILD_ROOT%{_prefix}/lib/pkgconfig/*.pc $RPM_BUILD_ROOT%{_datadir}/pkgconfig


%clean
rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-, root, root)
%doc COPYING README
%dir %{mono_dir}/mono-addins
%{_bindir}/mautil
%{mono_dir}/gac/Mono.Addins
%{mono_dir}/gac/Mono.Addins.CecilReflector
%{mono_dir}/gac/Mono.Addins.Gui
%{mono_dir}/gac/Mono.Addins.Setup
%{mono_dir}/gac/policy.0.2.Mono.Addins
%{mono_dir}/gac/policy.0.2.Mono.Addins.CecilReflector
%{mono_dir}/gac/policy.0.2.Mono.Addins.Gui
%{mono_dir}/gac/policy.0.2.Mono.Addins.Setup
%{mono_dir}/gac/policy.0.3.Mono.Addins
%{mono_dir}/gac/policy.0.3.Mono.Addins.CecilReflector
%{mono_dir}/gac/policy.0.3.Mono.Addins.Gui
%{mono_dir}/gac/policy.0.3.Mono.Addins.Setup
%{mono_dir}/gac/policy.0.4.Mono.Addins
%{mono_dir}/gac/policy.0.4.Mono.Addins.CecilReflector
%{mono_dir}/gac/policy.0.4.Mono.Addins.Gui
%{mono_dir}/gac/policy.0.4.Mono.Addins.Setup
%{mono_dir}/gac/policy.0.5.Mono.Addins.CecilReflector
%{mono_dir}/gac/policy.0.5.Mono.Addins.Gui
%{mono_dir}/gac/policy.0.5.Mono.Addins.Setup
%{mono_dir}/gac/policy.0.5.Mono.Addins
%{mono_dir}/gac/policy.0.6.Mono.Addins.CecilReflector
%{mono_dir}/gac/policy.0.6.Mono.Addins.Gui
%{mono_dir}/gac/policy.0.6.Mono.Addins.Setup
%{mono_dir}/gac/policy.0.6.Mono.Addins
%{mono_dir}/mono-addins/Mono.Addins.dll
%{mono_dir}/mono-addins/Mono.Addins.CecilReflector.dll
%{mono_dir}/mono-addins/Mono.Addins.Gui.dll
%{mono_dir}/mono-addins/Mono.Addins.Setup.dll
%{mono_dir}/mono-addins/mautil.exe
%{_mandir}/man1/mautil.1.gz

%files devel
%defattr(-,root,root,-)
%{mono_dir}/gac/Mono.Addins.MSBuild
%{mono_dir}/gac/policy.0.2.Mono.Addins.MSBuild
%{mono_dir}/gac/policy.0.3.Mono.Addins.MSBuild
%{mono_dir}/gac/policy.0.4.Mono.Addins.MSBuild
%{mono_dir}/gac/policy.0.5.Mono.Addins.MSBuild
%{mono_dir}/gac/policy.0.6.Mono.Addins.MSBuild
%{mono_dir}/mono-addins/Mono.Addins.MSBuild.dll
%{_datadir}/pkgconfig/*.pc


%changelog
* Thu Mar 26 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.2-1
- updated to 1.2
- built with mono 3.12

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.2-3
- rebuild with VineSeed environment

* Tue Oct 23 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.2-2
- create %{name}-devel sub package
- fix license tag

* Sun Jun 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.2-1
- new upstream release

* Mon Apr 25 2011 Shu KONNO <owa@bg.wakwak.com> 0.5-4
- rebuilt with mono-2.10.1-3

* Fri Oct 08 2010 Shu KONNO <owa@bg.wakwak.com> 0.5-3
- rebuilt with mono-2.8 

* Wed Sep 22 2010 IWAI, Masaharu <iwai@alib.jp> 0.5-2
- build with rpm-4.8.1-1 for pkg-config file

* Mon Jul 26 2010 Shu KONNO <owa@bg.wakwak.com> 0.5-1
- updated to 0.5

* Thu Apr 08 2010 Shu KONNO <owa@bg.wakwak.com> 0.4-3
- rebuilt with new environment

* Wed Jul 08 2009 Shu KONNO <owa@bg.wakwak.com> 0.4-2
- rebuilt with latest rpm to update mono-dependencies

* Sun Apr 05 2009 Shu KONNO <owa@bg.wakwak.com> 0.4-1vl5
- updated to 0.4

* Wed Sep 17 2008 Shu KONNO <owa@bg.wakwak.com> 0.3.1-1vl5
- initial build for VineSeed
    - added japanese summary
    - applied vine versioning policy
    - spec in utf-8

* Wed Mar 26 2008 wberrier@suse.de
- Update to 0.3.1
  - Fix compatibility with new Mono
  - Delete subdirectory when uninstalling
  - Improve error reporting
* Mon Jan 14 2008 wberrier@suse.de
- Initial package (needed by MD and other mono apps)
